#
# spec file for package python-multi_key_dict
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-multi_key_dict
Version:        2.0.3
Release:        1.1
License:        MIT
Summary:        Multi key dictionary implementation
Url:            https://github.com/formiaczek/multi_key_dict
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/m/multi_key_dict/multi_key_dict-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Multi-key dict provides also extended interface for iterating over items and
keys (e.g. by the key type), which might be useful when creating, e.g.
dictionaries with index-name key pair allowing to iterate over items using
either: names or indexes.
It can be useful for many many other similar use-cases, and there is no limit
to the number of keys used to map to the value.

%prep
%setup -q -n multi_key_dict-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Fri Oct 30 2015 tbechtold@suse.com
- Initial packaging (version 2.0.3)
